<template>
  <div class="app-container">
  	<form-search  :searchformShow="{'type':'','gradeid':'','subjectid':'','edition':'','slipid':'',province:''}"
		             @handleQuery="handleQuery"></form-search>
     <el-row :gutter="10">
       <el-col v-for="n in 12" :xs="12" :sm="8" :md="6" :lg="4" :xl="4" style="padding-left: 15px; padding-right: 15px;margin-bottom: 30px;" >
         <div @click="detail() " >
                  <el-image  style="width: 100%; "  src="https://fuss10.elemecdn.com/e/5d/4a731a90594a4af544c0c25941171jpeg.jpeg" ></el-image>
                  <div class="mt10" style="position: relative;">
                  	<div style="overflow:hidden; text-overflow:ellipsis;white-space:nowrap;padding-right: 100px;">这是文件标题这是文件标题这是文件标题</div>
                  	<span style="position: absolute;right:5px;top:3px">2021-05-26</span>
                 </div>
         </div>
       </el-col>
     </el-row>
         <!--<pagination
           v-show="total>0"
           :total="total"
           :page.sync="queryParams.pageNum"
           :limit.sync="queryParams.pageSize"
            :page-size="20"
           @pagination="getList"
         />-->
   </div>
</template>

<script>

export default {
  data() {
    return {
    	fileList:[],
      total:1000,
      // 遮罩层
      loading: true,
      // 显示搜索条件
      showSearch: true,
      // 菜单表格树数据
      menuList: [],
      // 菜单树选项
      menuOptions: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 显示状态数据字典
      visibleOptions: [],
      // 菜单状态数据字典
      statusOptions: [],
      // 查询参数
      queryParams: {
        pageNum:1,
        pageSize:20,
      },
      // 表单参数
      form: {},
      // 表单校验
       currentPage: 5,
    };
  },
  created() {
    this.getList();
//  this.getDicts("sys_show_hide").then(response => {
//    this.visibleOptions = response.data;
//  });
//  this.getDicts("sys_normal_disable").then(response => {
//    this.statusOptions = response.data;
//  });
  },
  methods: {
  	 handleRemove(file, fileList) {
        console.log(file, fileList);
      },
      handlePreview(file) {
        console.log(file);
      },
      handleExceed(files, fileList) {

      },
      beforeRemove(file, fileList) {
        return this.$confirm(`确定移除 ${ file.name }？`);
      },
    detail(item){
//    this.$router.push({path: '/idc/EvaluationDatabase/detailList'})
    },
    // 选择图标
    selected(name) {
      this.form.icon = name;
    },
    /** 查询菜单列表 */
    getList() {
      this.loading = true;
      // listMenu(this.queryParams).then(response => {
      //   this.menuList = this.handleTree(response.data, "menuId");
         this.loading = false;
      // });
    },
    // 表单重置
    reset() {
      this.form = {};
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      console.log(this.queryParams)
      this.getList();
    },
    handleSizeChange(val) {
            console.log(`每页 ${val} 条`);
          },
     handleCurrentChange(val) {
            console.log(`当前页: ${val}`);
     },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
  }
};
</script>
<style   scoped>
	/deep/.el-upload-list{
		display:none
	}
</style>
